%define		rctag	rc3

Name:		awesome
Version:	3.0
Release:	0.3.%{rctag}%{?dist}
Summary:	Highly configurable, framework window manager for X. Fast, light and extensible
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://awesome.naquadah.org
Source0:	http://awesome.naquadah.org/download/%{name}-%{version}-%{rctag}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pango-devel, cairo-devel, asciidoc, xmlto
BuildRequires:	libX11-devel, libXrandr-devel, libXinerama-devel
BuildRequires:	cmake > 2.6, libX11-devel, xcb-util-devel, lua-devel
BuildRequires:	gperf, dbus-devel, libev-devel
BuildRequires:	doxygen, graphviz


%description
Awesome is a highly configurable, next generation framework window 
manager for X. It is very fast, light and extensible.

It is primarly targeted at power users, developers and any people 
dealing with every day computing tasks and want to have fine-grained 
control on its graphical environment.

%prep
%setup -q -n %{name}-%{version}-%{rctag}


%build
%cmake -DAWESOME_DOC_PATH=%{_docdir}/%{name}-%{version} 

make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/rc.lua
%doc README BUGS AUTHORS LICENSE
%{_bindir}/awesome
%{_bindir}/awesome-client
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/%{name}16.png
%{_datadir}/%{name}/icons/%{name}32.png
%{_datadir}/%{name}/icons/%{name}48.png
%{_datadir}/%{name}/icons/%{name}64.png
%dir %{_datadir}/%{name}/icons/tasklist
%{_datadir}/%{name}/icons/tasklist/*.png
%dir %{_datadir}/%{name}/icons/titlebar
%{_datadir}/%{name}/icons/titlebar/*.png
%dir %{_datadir}/%{name}/icons/taglist
%{_datadir}/%{name}/icons/taglist/*.png
%dir %{_datadir}/%{name}/icons/layouts
%{_datadir}/%{name}/icons/layouts/*.png
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/tabulous.lua*
%{_datadir}/%{name}/lib/awful.lua*
%{_datadir}/%{name}/lib/beautiful.lua*
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/default
%{_datadir}/%{name}/themes/default-background.png
%{_mandir}/man?/%{name}*
%{_datadir}/xsessions/%{name}.desktop


%changelog
* Thu Aug 15 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.3.rc3
- bump to RC3
- xsession desktop file is now provided by upstream
- dumped patches
	awesome-3.0-rc1-fedora-doc-path.patch
	awesome-3.0-rc2-fedora-xsession-path.patch
  both are now in upstream
- cmake is now need >2.6 (present in rawhide)


* Thu Aug 11 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.2.rc2
- bump to RC2

* Thu Aug 04 2008 Michal Nowak <mnowak@redhat.com> 3.0-0.1.rc1
- bump to awesome v3-the new generation

* Thu Jul 28 2008 Michal Nowak <mnowak@redhat.com> 2.3.3-1
- version bump fixes two bugs
- give floating dialogs of maximized windows focus
- awesomerc: fix xterm -e in case of others terms

* Thu Jul 17 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-7
- after some discussion I removed explicit dependency on libconfuse >= 2.6;
  the thing is that awesome runs fine with libconfuse-2.5 but does not 
  build with < 2.6. Some build-time hack might be possible but I am obviously
  not going to be involved in this auto*magic. (thx Hans Ulrich Niedermann)

* Wed Jul 16 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-6
- added libXinerama-devel, hopefully last BuildRequire

* Wed Jul 16 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-5
- by mistake I removed BuildRequire on libconfuse-devel, 
  now is back again (thanks Mamoru Tasaka)

* Tue Jul 15 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-4
- small polishing in %%doc line

* Mon Jul 14 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-3
- removed redundant libconfuse-devel in BuildRequires
- %%{__install} .desktop file instead of install via desktop-file-install
- changed the license to GPLv2+
- changes in .desktop file
- updated --docdir to include %%{version} too

* Thu Jul 10 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-2
- bumped libconfuse BuildDependency to insist on version 2.6
- changed buildroot to not to have random one
- enhanced %%description

* Thu Jul 3 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-1
- version bump
- add libconfuse-devel as a build dep.
- removed Fedora as a vendor from .desktop file

* Sun Jun 22 2008 Michal Nowak <mnowak@redhat.com> 2.3.1-1
- Initial package

